<?php
require_once 'core/system.php';
$header = 'Сокровища Арены';
require_once 'core/head.php';
$gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `user_podarok` WHERE `user_id` = '$user[id]' order by `last_auth` desc limit 1"));
$nagrada = rand(1,100);
$time = $gift['last_auth'] + 3600;
$now = time();
echo "<table class='post'>";

if(isset($_GET['gift'])){
if ($time < $now) {
if ($user['keys'] > 0) {

echo "<br /><center><b>Поздравляем, вы получили </b>$nagrada<img src='images/icon/gold.png' alt='o'>!</b></center></br>";
mysql_query("UPDATE `user` SET `gold` = `gold` + '$nagrada' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `user` SET `keys` = `keys` - '1' WHERE `id` = '$user[id]'");




$helk = $user['max_health'] - $user['health'];


mysql_query("UPDATE `user` SET `health` = `health` + '0' WHERE `id` = '$user[id]'");


$mank = $user['max_mana'] - $user['mana'];

mysql_query("UPDATE `user` SET `mana` = `mana` + '0' WHERE `id` = '$user[id]'");

if(mysql_result(mysql_query("SELECT count(user_id) from `user_podarok` where `user_id` = '".$user['id']."'"),0) == 0){
mysql_query("INSERT INTO `user_podarok` SET `last_auth` = '$now', `stage` = '1', `user_id` = '$user[id]'");
}else{
        mysql_query("UPDATE `user_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$user[id]'");
}
}else{
header('Location: /treasure');
$_SESSION['err'] = $key_not_enough;
exit();
}
} else {
echo "</br></br>";
}
}


if ($time < $now) {
echo "<center><b>Каждый <span class='red'>час</span>, можно открыть только один сундук из 2-х <span class='green'></span><span class='red'></span>.<br /> Приятной игры.</b>
<br><br><a href='/treasure?gift=1'><img src='images/icon/t.png' alt='o'></span></span></a>                                                                                                                                                                
 <a href='/treasure?gift=2'><img src='images/icon/t.png' alt='o'></span></span></a></center>";
} else {
$hour_t = ceil(($time - $now) / 3600*24);
$min = ceil(($time - $now) / 60);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "<center><b>Вы уже открыли сундук.</br>Приходите через: <b><span class='green'>$min </span></b>мин.</b></centet><br>";
}
if ($user['keys'] > 0) {
$key_info = '</br> есть <span class="green">'.$user['keys'].' </span>ключ(а)';
}else{
$key_info = 'нет ключей';
}
echo '<br /><center><b>У вас '.$key_info.'</b></center>';
echo '</table><hr /><ul><li class="hint">Ключи можно получить при выполнении <a href="/quest">заданий</a></li></ul></div>';
include_once 'core/foot.php';
?>